Mark post as published manually
curl --request PATCH \
--url https://api.yalg.ai/v1/posts/{id}/mark-published \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"content": "Updated post draft with a sharper hook and clearer takeaway.",
"status": "draft"
}
'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'Updated post draft with a sharper hook and clearer takeaway.',
status: 'draft'
})
};
fetch('https://api.yalg.ai/v1/posts/{id}/mark-published', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.yalg.ai/v1/posts/{id}/mark-published"
payload = {
"content": "Updated post draft with a sharper hook and clearer takeaway.",
"status": "draft"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "123e4567-e89b-12d3-a456-426614174000",
"status": "published",
"publishedAt": "2024-01-15T10:30:00Z"
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request",
"code": "validation_failed"
}{
"statusCode": 401,
"message": "Invalid or missing API key",
"error": "Unauthorized",
"code": "unauthorized"
}{
"statusCode": 403,
"message": "Access denied",
"error": "Forbidden",
"code": "forbidden"
}{
"statusCode": 404,
"message": "Resource not found",
"error": "Not Found",
"code": "not_found"
}{
"statusCode": 409,
"message": "Resource conflict",
"error": "Conflict",
"code": "conflict"
}{
"statusCode": 429,
"message": "Rate limit exceeded",
"error": "Too Many Requests",
"code": "rate_limit_exceeded",
"retryAfter": 60
}{
"statusCode": 500,
"message": "Internal server error",
"error": "Internal Server Error",
"code": "internal_server_error"
}posts
Mark post as published manually
Changes post status to PUBLISHED without actually publishing to LinkedIn. Useful if the post was published manually on LinkedIn.
PATCH
/
v1
/
posts
/
{id}
/
mark-published
Mark post as published manually
curl --request PATCH \
--url https://api.yalg.ai/v1/posts/{id}/mark-published \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"content": "Updated post draft with a sharper hook and clearer takeaway.",
"status": "draft"
}
'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'Updated post draft with a sharper hook and clearer takeaway.',
status: 'draft'
})
};
fetch('https://api.yalg.ai/v1/posts/{id}/mark-published', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.yalg.ai/v1/posts/{id}/mark-published"
payload = {
"content": "Updated post draft with a sharper hook and clearer takeaway.",
"status": "draft"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "123e4567-e89b-12d3-a456-426614174000",
"status": "published",
"publishedAt": "2024-01-15T10:30:00Z"
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request",
"code": "validation_failed"
}{
"statusCode": 401,
"message": "Invalid or missing API key",
"error": "Unauthorized",
"code": "unauthorized"
}{
"statusCode": 403,
"message": "Access denied",
"error": "Forbidden",
"code": "forbidden"
}{
"statusCode": 404,
"message": "Resource not found",
"error": "Not Found",
"code": "not_found"
}{
"statusCode": 409,
"message": "Resource conflict",
"error": "Conflict",
"code": "conflict"
}{
"statusCode": 429,
"message": "Rate limit exceeded",
"error": "Too Many Requests",
"code": "rate_limit_exceeded",
"retryAfter": 60
}{
"statusCode": 500,
"message": "Internal server error",
"error": "Internal Server Error",
"code": "internal_server_error"
}Authorizations
YALG Developer API key. Send it in the x-api-key header from a server-side environment only.
Path Parameters
UUID of the post
Example:
"123e4567-e89b-12d3-a456-426614174000"
Body
application/json
URL LinkedIn du post (si déjà publié manuellement)
Response
Post marked as published successfully
⌘I